package com.steering.mes.mcp.entity;

import java.io.Serializable;
/**
 * 数据库表COUPLING_LOADING_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20180117CCCC   date 2018-07-21
 */
@SuppressWarnings("serial")
public class CouplingLoadingResultEntity implements Serializable {
    /**
     * 实绩编号
     */
    private String resultNo = "";
    /**
     * 工单号（炉次计划号+01流水）
     */
    private String woId = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";
    /**
     * 上料支数
     */
    private String loadPieces = "";
    /**
     * 上料重量
     */
    private String loadWeight = "";
    /**
     * 上料班次
     */
    private String loadShift = "";
    /**
     * 上料班组
     */
    private String loadGroup = "";
    /**
     * 操作人
     */
    private String loadUser = "";
    /**
     * 上料时间
     */
    private String loadTime = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 生产时间
     */
    private String proTime = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 规格描述
     */
    private String specJgDesc = "";
    /**
     * 规格代码
     */
    private String specJg = "";
    /**
     * 中孔类别(I、II、III、IV...)
     */
    private String styleJg = "";
    /**
     * 标准代码
     */
    private String stdCode = "";
    /**
     * 标准名称
     */
    private String stdName = "";
    /**
     * 标准类别代码
     */
    private String stdStyle = "";
    /**
     * 标准类别描述(I、II、III)
     */
    private String stdStyleDesc = "";
    /**
     * 品种代码
     */
    private String produccodeJg = "";
    /**
     * 品种描述
     */
    private String produccodeJgDesc = "";
    /**
     * 接箍码
     */
    private String codeJg = "";
    /**
     * 接箍备料码
     */
    private String codeJgBl = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 是否监制
     */
    private String ifMonitorJg = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 机床
     */
    private String machineNo = "";
    public String getMachineNo() {
		return machineNo;
	}

	public void setMachineNo(String machineNo) {
		this.machineNo = machineNo;
	}

    /**
     * 废品数
     */
    private String failNum="";
    public String getfailNum() {
        return failNum;
    }

    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }
	/**
     * 地点
     */
    private String place = "";
    public String getPlace() {
		return place;
	}

	public void setPlace(String place) {
		this.place = place;
	}

	/**
     * 是否确认
     */
    private String confirm = "";
    public String getConfirm() {
		return confirm;
	}

	public void setConfirm(String confirm) {
		this.confirm = confirm;
	}

	/**
     * 备注
     */
    private String memo = "";
    public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 工单号（炉次计划号+01流水）
     * @return value
     */
    public String getWoId() {
        return woId;
    }

    /**
     * 工单号（炉次计划号+01流水）
     * @param woId value
     */
    public void setWoId(String woId) {
        this.woId = woId;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 上料支数
     * @return value
     */
    public String getLoadPieces() {
        return loadPieces;
    }

    /**
     * 上料支数
     * @param loadPieces value
     */
    public void setLoadPieces(String loadPieces) {
        this.loadPieces = loadPieces;
    }

    /**
     * 上料重量
     * @return value
     */
    public String getLoadWeight() {
        return loadWeight;
    }

    /**
     * 上料重量
     * @param loadWeight value
     */
    public void setLoadWeight(String loadWeight) {
        this.loadWeight = loadWeight;
    }

    /**
     * 上料班次
     * @return value
     */
    public String getLoadShift() {
        return loadShift;
    }

    /**
     * 上料班次
     * @param loadShift value
     */
    public void setLoadShift(String loadShift) {
        this.loadShift = loadShift;
    }

    /**
     * 上料班组
     * @return value
     */
    public String getLoadGroup() {
        return loadGroup;
    }

    /**
     * 上料班组
     * @param loadGroup value
     */
    public void setLoadGroup(String loadGroup) {
        this.loadGroup = loadGroup;
    }

    /**
     * 操作人
     * @return value
     */
    public String getLoadUser() {
        return loadUser;
    }

    /**
     * 操作人
     * @param loadUser value
     */
    public void setLoadUser(String loadUser) {
        this.loadUser = loadUser;
    }

    /**
     * 上料时间
     * @return value
     */
    public String getLoadTime() {
        return loadTime;
    }

    /**
     * 上料时间
     * @param loadTime value
     */
    public void setLoadTime(String loadTime) {
        this.loadTime = loadTime;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 生产时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 生产时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 规格描述
     * @return value
     */
    public String getSpecJgDesc() {
        return specJgDesc;
    }

    /**
     * 规格描述
     * @param specJgDesc value
     */
    public void setSpecJgDesc(String specJgDesc) {
        this.specJgDesc = specJgDesc;
    }

    /**
     * 规格代码
     * @return value
     */
    public String getSpecJg() {
        return specJg;
    }

    /**
     * 规格代码
     * @param specJg value
     */
    public void setSpecJg(String specJg) {
        this.specJg = specJg;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @return value
     */
    public String getStyleJg() {
        return styleJg;
    }

    /**
     * 中孔类别(I、II、III、IV...)
     * @param styleJg value
     */
    public void setStyleJg(String styleJg) {
        this.styleJg = styleJg;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述(I、II、III)
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述(I、II、III)
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 品种代码
     * @return value
     */
    public String getProduccodeJg() {
        return produccodeJg;
    }

    /**
     * 品种代码
     * @param produccodeJg value
     */
    public void setProduccodeJg(String produccodeJg) {
        this.produccodeJg = produccodeJg;
    }

    /**
     * 品种描述
     * @return value
     */
    public String getProduccodeJgDesc() {
        return produccodeJgDesc;
    }

    /**
     * 品种描述
     * @param produccodeJgDesc value
     */
    public void setProduccodeJgDesc(String produccodeJgDesc) {
        this.produccodeJgDesc = produccodeJgDesc;
    }

    /**
     * 接箍码
     * @return value
     */
    public String getCodeJg() {
        return codeJg;
    }

    /**
     * 接箍码
     * @param codeJg value
     */
    public void setCodeJg(String codeJg) {
        this.codeJg = codeJg;
    }

    /**
     * 接箍备料码
     * @return value
     */
    public String getCodeJgBl() {
        return codeJgBl;
    }

    /**
     * 接箍备料码
     * @param codeJgBl value
     */
    public void setCodeJgBl(String codeJgBl) {
        this.codeJgBl = codeJgBl;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 是否监制
     * @return value
     */
    public String getIfMonitorJg() {
        return ifMonitorJg;
    }

    /**
     * 是否监制
     * @param ifMonitorJg value
     */
    public void setIfMonitorJg(String ifMonitorJg) {
        this.ifMonitorJg = ifMonitorJg;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }
}
